Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### unbinary()

Examples

    String s1 = "00010000";
    String s2 = "00001000";
    String s3 = "00000100";
    println(unbinary(s1));  // Prints 16
    println(unbinary(s2));  // Prints 8
    println(unbinary(s3));  // Prints 4

Description | Converts a String representation of a binary number to its equivalent integer value. For example, unbinary("00001000") will return 8.

Syntax

    unbinary(str)

Parameters

str | String

Returns | int
Usage | Web & Application
Related | hex() binary() unbinary()

Updated on November 22, 2008 08:39:25pm PST